com.hazelcast.logging

## Class AbstractLogger

- java.lang.Object
- - com.hazelcast.logging.AbstractLogger

- All Implemented Interfaces:
    ILogger
  Direct Known Subclasses:
    Log4j2Factory.Log4j2Logger

      public abstract class AbstractLogger
      extends Object
      implements ILogger

  Abstract `ILogger` implementation that provides implementations for convenience methods like finest, info, warning and severe.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fine(String message)` Logs a message at the `Level.FINE` level.
    `void` | `fine(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.FINE` level.
    `void` | `fine(Throwable thrown)` Logs a throwable at the `Level.FINE` level.
    `void` | `finest(String message)` Logs a message at the `Level.FINEST` level.
    `void` | `finest(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.FINEST` level.
    `void` | `finest(Throwable thrown)` Logs a throwable at the `Level.FINEST` level.
    `void` | `info(String message)` Logs a message at the `Level.INFO` level.
    `void` | `info(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.INFO` level.
    `void` | `info(Throwable thrown)` Logs a throwable at the `Level.INFO` level.
    `boolean` | `isFineEnabled()` Checks if the `Level.FINE` level is enabled.
    `boolean` | `isFinestEnabled()` Checks if the `Level.FINEST` level is enabled.
    `boolean` | `isInfoEnabled()` Checks if the `Level.INFO` level is enabled.
    `boolean` | `isSevereEnabled()` Checks if the `Level.SEVERE` is enabled.
    `boolean` | `isWarningEnabled()` Checks if the `Level.WARNING` is enabled.
    `void` | `severe(String message)` Logs a message at `Level.SEVERE`.
    `void` | `severe(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.SEVERE` level.
    `void` | `severe(Throwable thrown)` Logs a throwable at the `Level.SEVERE` level.
    `void` | `warning(String message)` Logs a message at the `Level.WARNING` level.
    `void` | `warning(String message, Throwable thrown)` Logs a message with an associated throwable at the `Level.WARNING` level.
    `void` | `warning(Throwable thrown)` Logs a throwable at the `Level.WARNING` level.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.logging.ILogger

      `getLevel, isLoggable, log, log, log`

- - ### Constructor Detail

    - #### AbstractLogger

          public AbstractLogger()

  - ### Method Detail

    - #### finest

          public void finest(String message)

      Description copied from interface: `ILogger`
      Logs a message at the `Level.FINEST` level.
      Specified by:
        `finest` in interface `ILogger`
      Parameters:
        `message` - the message to log

    - #### finest

          public void finest(String message,
                             Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a message with an associated throwable at the `Level.FINEST` level.
      Specified by:
        `finest` in interface `ILogger`
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### finest

          public void finest(Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a throwable at the `Level.FINEST` level. The message of the Throwable will be the logged message.
      Specified by:
        `finest` in interface `ILogger`
      Parameters:
        `thrown` - the Throwable to log

    - #### isFinestEnabled

          public boolean isFinestEnabled()

      Description copied from interface: `ILogger`
      Checks if the `Level.FINEST` level is enabled.
      Specified by:
        `isFinestEnabled` in interface `ILogger`
      Returns:
        true if enabled, false otherwise

    - #### fine

          public void fine(String message)

      Description copied from interface: `ILogger`
      Logs a message at the `Level.FINE` level.
      Specified by:
        `fine` in interface `ILogger`
      Parameters:
        `message` - the message to log

    - #### fine

          public void fine(String message,
                           Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a message with an associated throwable at the `Level.FINE` level.
      Specified by:
        `fine` in interface `ILogger`
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### fine

          public void fine(Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a throwable at the `Level.FINE` level. The message of the Throwable will be the logged message.
      Specified by:
        `fine` in interface `ILogger`
      Parameters:
        `thrown` - the Throwable to log

    - #### isFineEnabled

          public boolean isFineEnabled()

      Description copied from interface: `ILogger`
      Checks if the `Level.FINE` level is enabled.
      Specified by:
        `isFineEnabled` in interface `ILogger`
      Returns:
        true if enabled, false otherwise

    - #### info

          public void info(String message)

      Description copied from interface: `ILogger`
      Logs a message at the `Level.INFO` level.
      Specified by:
        `info` in interface `ILogger`
      Parameters:
        `message` - the message to log

    - #### info

          public void info(String message,
                           Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a message with an associated throwable at the `Level.INFO` level.
      Specified by:
        `info` in interface `ILogger`
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### info

          public void info(Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a throwable at the `Level.INFO` level. The message of the Throwable will be the logged message.
      Specified by:
        `info` in interface `ILogger`
      Parameters:
        `thrown` - the Throwable to log

    - #### isInfoEnabled

          public boolean isInfoEnabled()

      Description copied from interface: `ILogger`
      Checks if the `Level.INFO` level is enabled.
      Specified by:
        `isInfoEnabled` in interface `ILogger`
      Returns:
        true if enabled, false otherwise

    - #### warning

          public void warning(String message)

      Description copied from interface: `ILogger`
      Logs a message at the `Level.WARNING` level.
      Specified by:
        `warning` in interface `ILogger`
      Parameters:
        `message` - the message to log

    - #### warning

          public void warning(Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a throwable at the `Level.WARNING` level. The message of the Throwable will be the logged message.
      Specified by:
        `warning` in interface `ILogger`
      Parameters:
        `thrown` - the Throwable to log

    - #### warning

          public void warning(String message,
                              Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a message with an associated throwable at the `Level.WARNING` level.
      Specified by:
        `warning` in interface `ILogger`
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### isWarningEnabled

          public boolean isWarningEnabled()

      Description copied from interface: `ILogger`
      Checks if the `Level.WARNING` is enabled.
      Specified by:
        `isWarningEnabled` in interface `ILogger`
      Returns:
        true if enabled, false otherwise

    - #### severe

          public void severe(String message)

      Description copied from interface: `ILogger`
      Logs a message at `Level.SEVERE`.
      Specified by:
        `severe` in interface `ILogger`
      Parameters:
        `message` - the message to log.

    - #### severe

          public void severe(Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a throwable at the `Level.SEVERE` level. The message of the Throwable will be the logged message.
      Specified by:
        `severe` in interface `ILogger`
      Parameters:
        `thrown` - the Throwable to log

    - #### severe

          public void severe(String message,
                             Throwable thrown)

      Description copied from interface: `ILogger`
      Logs a message with an associated throwable at the `Level.SEVERE` level.
      Specified by:
        `severe` in interface `ILogger`
      Parameters:
        `message` - the message to log
        `thrown` - the Throwable associated to the message

    - #### isSevereEnabled

          public boolean isSevereEnabled()

      Description copied from interface: `ILogger`
      Checks if the `Level.SEVERE` is enabled.
      Specified by:
        `isSevereEnabled` in interface `ILogger`
      Returns:
        true if enabled, false otherwise

Copyright © 2020. All rights reserved.